## org.eclipse.datatools.sqltools.sqleditor.result
Class GroupSQLResultRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
                      org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable
                          org.eclipse.datatools.sqltools.sqleditor.result.GroupSQLResultRunnable

All Implemented Interfaces:
  java.lang.Comparable, java.lang.Runnable, org.eclipse.core.runtime.IAdaptable

    public class GroupSQLResultRunnable

extends SimpleSQLResultRunnable

Author:
  Hui Cao

Field Summary
`static int` `EXECUTION_NESTED_ERROR`

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`GroupSQLResultRunnable(java.sql.Connection con, java.lang.String[] groups, IConnectionTracker tracker, java.lang.Runnable postRun, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, boolean promptVar, java.util.HashMap varDefs)`
`GroupSQLResultRunnable(java.sql.Connection con, java.lang.String[] groups, IConnectionTracker tracker, java.lang.Runnable postRun, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, boolean promptVar, java.util.HashMap varDefs, java.lang.String parentDisplayName, java.lang.String consumerName)`

Method Summary
`OperationCommand` `getOperationCommand()` Creates the `OperationCommand` object which will be used for results view display.
`void` `run()`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable
`getConfiguration`

Methods inherited from class org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
`getActionType, getConsumerName, getDatabaseIdentifier, getOperationStatus, getParentOperationCommand, loopThroughResults, setActionType, setConsumerName, setNeedsInitConnection, setParentOperCommand, terminateExecution`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### EXECUTION_NESTED_ERROR

    public static final int EXECUTION_NESTED_ERROR

See Also:
  Constant Field Values

Constructor Detail

### GroupSQLResultRunnable

    public GroupSQLResultRunnable(java.sql.Connection con,
                                  java.lang.String[] groups,
                                  IConnectionTracker tracker,
                                  java.lang.Runnable postRun,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                  boolean promptVar,
                                  java.util.HashMap varDefs)

Parameters:
  `con` - if con is null, corresponding ConnectionService.createConnection will be called.
  `sql` -
  `tracker` -

### GroupSQLResultRunnable

    public GroupSQLResultRunnable(java.sql.Connection con,
                                  java.lang.String[] groups,
                                  IConnectionTracker tracker,
                                  java.lang.Runnable postRun,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                  boolean promptVar,
                                  java.util.HashMap varDefs,
                                  java.lang.String parentDisplayName,
                                  java.lang.String consumerName)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `ResultSupportRunnable`

### getOperationCommand

    public OperationCommand getOperationCommand()

  Description copied from class: `ResultSupportRunnable`
  Creates the `OperationCommand` object which will be used for results view display.

  Overrides:
    `getOperationCommand` in class `ResultSupportRunnable`